<template>
    <v-select
        v-model="localValue"
        :error-messages="errors"
        :items="status"
        :cache-items="true"
        :label="label"
        :hide-details="hideDetails"
        :placeholder="placeholder"
        :clearable="clearable"
        outlined
    >
    </v-select>
</template>

<script>
    export default {
        name: "VPayoutStatusSelect",
        props: {
            value: {
                required: true,
                default: null
            },
            errors: [String, Array],
            label: {
                type: String,
                default: ''
            },
            placeholder: {
                type: String,
                default: ''
            },
            hideDetails: {
                type: [Boolean, String],
                default: false
            },
            clearable: {
                type: Boolean,
                default: false
            }
        },

        computed: {
            status() {
                return [
                    { text: this.$t('paid'), value: 1 },
                    { text: this.$t('unpaid'), value: 0 },
                ]
            },

            localValue: {
                get() {
                    return this.value;
                },
                set(val) {
                    this.$emit('input', val);
                }
            }
        }
    }
</script>

<style scoped>

</style>
